Bug 1297955 - yppasswd crypt() failed errors when using passwd.adjunct
yppasswd crypt() failed errors when using passwd.adjunct
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yp-tools (Show other bugs)
25
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Kubat
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1401432
  Show dependency treegraph
 
Reported: 2016-01-12 15:37 EST by Gilbert E. Detillieux
Modified: 2016-12-12 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version: yp-tools-2.14-7.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1401432 (view as bug list)
Environment:
Last Closed: 2016-12-12 18:55:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
replaces broken yp-tools-2.12-adjunct.patch (903 bytes, patch)
2016-01-12 15:37 EST, Gilbert E. Detillieux
no flags Details | Diff

  None (edit)
Description Gilbert E. Detillieux 2016-01-12 15:37:31 EST
Created attachment 1114125 [details]
replaces broken yp-tools-2.12-adjunct.patch

Description of problem: 
When using passwd.adjunct map, yppasswd command fails with "crypt() failed" error, since it tries to use the "##user" string as salt. There's a patch, yp-tools-2.12-adjunct.patch, that attempts to fix this, but it gets it wrong.

Version-Release number of selected component (if applicable):
yp-tools-2.14-5 in Fedora 23, but also yp-tools-2.14-3.el7 in RHEL 7, and possibly other Fedora versions.

How reproducible:
Consistently fails when using passwd.adjunct.

Steps to Reproduce:
1. Set up passwd.adjunct map on NIS server
2. Run yppasswd command on NIS client (F23 or RHEL7)
3. Enter passwords when prompted

Actual results:
"crypt() failed" error in response to new passwords

Expected results:
Should accept password without checking against "##user" string, and generate correct salt before calling crypt()

Additional info:
yp-tools-2.12-adjunct-fix.patch (attached) fixes problem.  Use it instead of broken yp-tools-2.12-adjunct.patch file in src.rpm.
Comment 1 Fedora End Of Life 2016-11-24 09:52:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Gilbert E. Detillieux 2016-11-24 11:01:11 EST
This bug still exists in RHEL7, and most likely in newer Fedora releases.
Comment 3 Petr Kubat 2016-11-28 09:04:39 EST
Thanks for the report. I pushed the patch into rawhide and F25.
Comment 4 Fedora Update System 2016-11-28 09:05:59 EST
yp-tools-2.14-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-95199a6ea4
Comment 5 Fedora Update System 2016-12-02 13:54:00 EST
yp-tools-2.14-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-95199a6ea4
Comment 6 Gilbert E. Detillieux 2016-12-02 14:21:03 EST
Any plans to make this update available for RHEL7?
Comment 7 Petr Kubat 2016-12-05 04:14:41 EST
I have cloned the bug for RHEL7.

I would like to point out, however, that we are not able to guarantee the timeliness or suitability of a resolution.

If this issue is critical or in any way time sensitive, please raise a ticket through the regular Red Hat support channels to ensure it receives the proper attention and prioritization to assure a timely resolution.
Comment 8 Fedora Update System 2016-12-12 18:55:57 EST
yp-tools-2.14-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.